---

- name: Install required system packages
  ansible.builtin.apt:
    pkg: "{{ item }}"
    state: present
    update_cache: true
  loop: "{{ gitlab_runner_packages }}"
  register: result
  until: result is succeeded

- name: Adding gitLab-runner GPG key
  ansible.builtin.apt_key:
    url: "{{ gitlab_runner_debian_package['key'] }}"
    state: present

- name: Adding gitLab-runner repos
  ansible.builtin.apt_repository:
    repo: "{{ item }}"
    state: present
  loop: "{{ gitlab_runner_debian_package['repos'] }}"

- name: "Install gitLab-runner v{{ gitlab_runner_version }}"
  ansible.builtin.apt:
    name: "gitlab-runner={{ gitlab_runner_version }}"
    state: present
    update_cache: true
  notify: Restart gitlab-runner

# Need to correct work of shell runner
- name: Remove .bash_logout
  ansible.builtin.file:
    path: "/home/gitlab-runner/.bash_logout"
    state: absent
  when: ("shell" in gitlab_runner_config_executor)

# Change gitlab-ruuner shell sh > bash
- name: Change user shell to bash
  ansible.builtin.user:
    name: gitlab-runner
    shell: /bin/bash
